/*
holdlock.c Version 0.2.0  Btree hold lock on database
Copyright (C) 2003-2010  dondalah721@yahoo.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

/* Usage: holdlock filename */

#include <bthash.h>

void putstx(pgm)
char *pgm;
   {
   fprintf(stderr,"Usage %s filename\n", pgm);
   exit(1);
   } /* putstx */

int main(argc,argv)
int argc;
char **argv;
   {
   int opnerr;
   btreefmt *bthdr;
   unsigned char dbname[256];
   if (argc != 2) putstx(*argv);
   strcpy((char *) dbname,*(argv+1));

   /* INITNEW = new file */
   /* nodesz, rcdlen, keylen, keyofst */
   bthdr = (btreefmt *) btopen((char *) dbname,UPDT,LOCK,&opnerr);
   if (bthdr == NULL)
      {
      fprintf(stderr,"holdlock: open "
	 "error %d\n", opnerr);
      exit(1);
      } /* open err */
   /* process starts here */

   printf("Run tstlock.sh on another terminal\n");
   printf("Press <Enter> to quit holdlock\n");
   printf("Then re-run tstlock.sh on the other terminal\n");
   getchar();
   /**********************************************************/
   btclose(bthdr);
   return(0);
   } /* main */
